Package docking.dnd

# Class StringTransferable

java.lang.Object
docking.dnd.StringTransferable

All Implemented Interfaces:
  `Transferable`

public class StringTransferable extends Object implements Transferable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `data`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringTransferable(String data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getTransferData(DataFlavor flavor)`
  `DataFlavor[]`
  `getTransferDataFlavors()`
  `boolean`
  `isDataFlavorSupported(DataFlavor flavor)`
  `void`
  `removeOuterQuotesAndStandardStringPrefix()`
  Removes quotes and standard string literal prefixes from the string.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### data

    protected String data

- ## Constructor Details

  - ### StringTransferable

    public StringTransferable(String data)

- ## Method Details

  - ### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors()
    Specified by:
      `getTransferDataFlavors` in interface `Transferable`

  - ### isDataFlavorSupported

    public boolean isDataFlavorSupported(DataFlavor flavor)
    Specified by:
      `isDataFlavorSupported` in interface `Transferable`

  - ### getTransferData

    public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException
    Specified by:
      `getTransferData` in interface `Transferable`
    Throws:
      `UnsupportedFlavorException`
      `IOException`

  - ### removeOuterQuotesAndStandardStringPrefix

    public void removeOuterQuotesAndStandardStringPrefix()
    Removes quotes and standard string literal prefixes from the string. In order for this method to do anything, the string must start with one of the standard string literals prefixes and end with a quote character"